Changeset 154251


Ignore:
Timestamp:
Oct 25, 2016, 12:31:12 PM (2 years ago)
Author:
ciserlohn@…
Message:

go: update to version 1.7.3; disable support for darwin versions not supported upstream

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/lang/go/Portfile

    r153179 r154251  
    66name                go
    77epoch               2
    8 version             1.7.1
     8version             1.7.3
    99categories          lang
    1010platforms           darwin freebsd linux
     
    2929worksrcdir          ${name}
    3030
    31 checksums           rmd160  378d3fd9d3d8b7e331b7ce4531a704afcbd32a75 \
    32                     sha256  2b843f133b81b7995f26d0cb64bbdbb9d0704b90c44df45f844d28881ad442d3
     31checksums           rmd160  a1fbbf8e0805989e2ca74d66912c87e58328c6b5 \
     32                    sha256  79430a0027a09b0b3ad57e214c4c1acfdd7af290961dd08d322818895af1ef44
    3333
    3434depends_build       port:go-1.4
     
    9999}
    100100
     101if {${os.major} < 12} {
     102    pre-fetch {
     103        ui_error "${name} ${version} requires Mac OS X 10.8 or greater."
     104        return -code error "incompatible Mac OS X version"
     105    }
     106}
     107
    101108livecheck.type      regex
    102109livecheck.url       ${homepage}/dl/
Note: See TracChangeset for help on using the changeset viewer.